Name:		ssbd
Version:	0.10
Release:	5%{?dist}
Summary:	Voice keyer for use in hamradio

Group:		Applications/Communications
License:	GPL+
URL:		http://tucnak.nagano.cz/ssbd0en.html
Source0:	http://tucnak.nagano.cz/%{name}-%{version}.tar.gz
Source1:	ssbd.sysconfig
Source2:	ssbd.init
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:	glib-devel
BuildRequires:	libsndfile-devel
Requires (preun): chkconfig
Requires (preun): initscripts
Requires (post): chkconfig
Requires(postun): initscripts
#Requires:	

%description
Ssbd (Single-Side Band daemon) is voice keyer for hamradio use.
It's written as part of Tucnak, contest log for VHF contests,
but is possible to use ssbd with any other program.

%prep
%setup -q


%build
%configure
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

#prevent this to be packed twice
rm -rf $RPM_BUILD_ROOT/%{_docdir}/%{name}/*

mkdir -p %{buildroot}%{_sysconfdir}
mkdir -p %{buildroot}%{_sysconfdir}/{sysconfig,rc.d/init.d}
install -m 644 %{SOURCE1} %{buildroot}%{_sysconfdir}/sysconfig/ssbd
install -m 755 %{SOURCE2} %{buildroot}%{_sysconfdir}/rc.d/init.d/ssbd


%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/chkconfig --add ssbd

%preun
if [ $1 = 0 ]; then
 /sbin/service ssbd stop > /dev/null 2>&1
 /sbin/chkconfig --del ssbd
fi

%postun
if [ "$1" -ge "1" ] ; then
 /sbin/service ssbd condrestart >/dev/null 2>&1 || :
fi

%files
%defattr(-,root,root,-)
%doc AUTHORS COPYING README TODO
%doc doc/ssbd.html
%doc doc/ssbd0cz.html
%doc doc/ssbd0en.html
%doc doc/ssbd.gif
%doc doc/ssbd.ps doc/ssbd.sch
%{_sysconfdir}/rc.d/init.d/ssbd
%config(noreplace) %{_sysconfdir}/sysconfig/%{name}
%{_sbindir}/%{name}



%changelog
* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.10-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.10-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Fri Nov 21 2008 Lucian Langa <cooly@gnome.eu.org> - 0.10-3
- update license

* Fri Nov 21 2008 Lucian Langa <cooly@gnome.eu.org> - 0.10-2
- update BR for scriptlets
- description fix

* Tue Sep 02 2008 Lucian Langa <cooly@gnome.eu.org> - 0.10-1
- initial specfile
